apiVersion: v1
kind: PersistentVolume
metadata:
  name: soulseek-app-pv
  namespace: stack-arr
spec:
  capacity:
    storage: 6Gi
  storageClassName: soulseek-nfs-csi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  mountOptions:
    - nolock
    - nfsvers=3
  nfs:
    server: 192.168.1.22
    path: /mnt/fenix-main-nas-pool-0/data/k8s-Volumes/k8s-cluster-iac-deployed/stack-arr/soulseek/config
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: soulseek-app-pvc
  namespace: stack-arr
spec:
  storageClassName: soulseek-nfs-csi
  accessModes:
    - ReadWriteOnce
  volumeName: soulseek-app-pv
  resources:
    requests:
      storage: 6Gi
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: soulseek-media-pv
  namespace: stack-arr
spec:
  capacity:
    storage: 500Gi
  storageClassName: soulseek-media-nfs-csi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.1.22
    path: /mnt/fenix-main-nas-pool-0/data/Filmes_e_Series/Downloads
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: soulseek-media-pvc
  namespace: stack-arr
spec:
  storageClassName: soulseek-media-nfs-csi
  accessModes:
    - ReadWriteOnce
  volumeName: soulseek-media-pv
  resources:
    requests:
      storage: 500Gi
---

apiVersion: v1
kind: PersistentVolume
metadata:
  name: soulseek-vpn-config-pv
  namespace: stack-arr
spec:
  capacity:
    storage: 10Gi
  storageClassName: soulseek-nfs-csi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.1.22
    path: /mnt/fenix-main-nas-pool-0/data/k8s-Volumes/k8s-cluster-iac-deployed/stack-arr/soulseek/vpn/config
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: soulseek-vpn-config-pvc
  namespace: stack-arr
spec:
  storageClassName: soulseek-nfs-csi
  accessModes:
    - ReadWriteOnce
  volumeName: soulseek-vpn-config-pv
  resources:
    requests:
      storage: 10Gi
---
